> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a paperwork submission

> Create a Paperwork Submission for an employee or contractor from a Paperwork Template.

Create a Paperwork Submission(s). This endpoint will return the created Paperwork Submission object(s).


## OpenAPI

````yaml openapi/zeal-api.json put /paperwork/submissions
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /paperwork/submissions:
    put:
      description: >-
        Create a Paperwork Submission(s) for an employee or contractor from a
        Paperwork Template.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                templateID:
                  type: string
                  description: Unique identifier for the paperwork template
                worker_type:
                  type: string
                  description: Type of worker (Employee or Contractor)
                  enum:
                    - Employee
                    - Contractor
                companyID:
                  type: string
                  description: Unique identifier for the company
                employeeID:
                  type: string
                  description: >-
                    Unique identifier for the employee. Nullable if the worker
                    type is contractor
                contractorID:
                  type: string
                  description: >-
                    Unique identifier for the contractor. Nullable if the worker
                    type is employee
                fields:
                  type: object
                  description: Additional fields for the paperwork submission
              required:
                - templateID
                - worker_type
                - companyID
                - fields
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    description: Object of Paperwork Submission object(s)
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````